Bug 89634 - Evolution-mail crashes when trying to preview message attached to this bugreport
Evolution-mail crashes when trying to preview message attached to this bugreport
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: libjpeg (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-25 09:15 EDT by Michal Ambroz
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 15:31:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
You can send this mail to you and download via pop3 - this will cause evolution to crash (90.64 KB, text/plain)
2003-04-25 09:19 EDT, Michal Ambroz
no flags Details

  None (edit)
Description Michal Ambroz 2003-04-25 09:15:25 EDT
Description of problem:
Evolution-mail crashes when trying to preview one specific message.
It is MIME with sipmle message and one jpeg attachement.
Jpeg when extracted from MIME is viewable without problems.

Version-Release number of selected component (if applicable):
evolution-1.2.2-5

How reproducible:
Always

Steps to Reproduce:
1.  send this mail to your account
2.  downloaded it via pop3
3.  click on the message
 


Actual Results:  preview shows up in main window, but the evolution-mail crashes
on sig-seg instantly


Expected Results:  evolution should happily show the message :) and let me
delete it :).

Additional info:
Debugging Information:

Backtrace was generated from '/usr/bin/evolution-mail'

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...[New Thread 16384 (LWP 2894)]
[New Thread 32769 (LWP 2922)]
[New Thread 16386 (LWP 2923)]
[New Thread 32771 (LWP 2924)]
[New Thread 49156 (LWP 2925)]
[New Thread 65541 (LWP 2926)]
[New Thread 114694 (LWP 2955)]
[New Thread 131079 (LWP 2956)]
[New Thread 245769 (LWP 3006)]
0x403f6844 in waitpid ()
   from /lib/libpthread.so.0
#0  0x403f6844 in waitpid () from /lib/libpthread.so.0
#1  0x40bc4e1f in gnome_init () from /usr/lib/libgnomeui.so.32
#2  0x080c2619 in message_browser_get_type ()
#3  0x403f5559 in __pthread_sighandler () from /lib/libpthread.so.0
#4  <signal handler called>
#5  0x41bcc535 in jinit_upsampler () from /usr/lib/libjpeg.so.62
#6  0x41bcb9ac in jpeg_idct_1x1 () from /usr/lib/libjpeg.so.62
#7  0x41bc7bd1 in jinit_phuff_decoder () from /usr/lib/libjpeg.so.62
#8  0x41bc1c47 in jpeg_read_scanlines () from /usr/lib/libjpeg.so.62
#9  0x416224f6 in gdk_pixbuf__jpeg_image_load_increment ()
   from /usr/lib/gdk-pixbuf/loaders/libpixbufloader-jpeg.so
#10 0x40cd32c7 in gdk_pixbuf_loader_write () from
/usr/lib/libgdk_pixbuf.so.2
#11 0x0809f752 in mail_display_queue_redisplay ()
#12 0x40f29b1f in g_timeout_add () from /usr/lib/libglib-1.2.so.0
#13 0x40f289ae in g_get_current_time () from /usr/lib/libglib-1.2.so.0
#14 0x40f28e89 in g_get_current_time () from /usr/lib/libglib-1.2.so.0
#15 0x40f29124 in g_main_run () from /usr/lib/libglib-1.2.so.0
#16 0x40e3427f in gtk_main () from /usr/lib/libgtk-1.2.so.0
#17 0x402f4ffe in bonobo_main () from /usr/lib/libbonobo.so.2
#18 0x080c27ea in main ()
#19 0x4106b5cd in __libc_start_main () from /lib/libc.so.6

Thread 9 (Thread 245769 (LWP 3006)):
#0  0x403f1e0d in __pthread_sigsuspend () from /lib/libpthread.so.0
No symbol table info available.
#1  0x403f169d in __pthread_wait_for_restart_signal ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x403edd74 in pthread_cond_wait@GLIBC_2.0 () from
/lib/libpthread.so.0
No symbol table info available.
#3  0x401e613c in e_msgport_wait () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#4  0x401e6a0a in e_thread_busy () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#5  0x403ef6de in pthread_start_thread () from /lib/libpthread.so.0
No symbol table info available.

Thread 8 (Thread 131079 (LWP 2956)):
#0  0x403f1e0d in __pthread_sigsuspend () from /lib/libpthread.so.0
No symbol table info available.
#1  0x403f169d in __pthread_wait_for_restart_signal ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x403edd74 in pthread_cond_wait@GLIBC_2.0 () from
/lib/libpthread.so.0
No symbol table info available.
#3  0x401e613c in e_msgport_wait () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#4  0x401e6a0a in e_thread_busy () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#5  0x403ef6de in pthread_start_thread () from /lib/libpthread.so.0
No symbol table info available.

Thread 7 (Thread 114694 (LWP 2955)):
#0  0x403f1e0d in __pthread_sigsuspend () from /lib/libpthread.so.0
No symbol table info available.
#1  0x403f169d in __pthread_wait_for_restart_signal ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x403edd74 in pthread_cond_wait@GLIBC_2.0 () from
/lib/libpthread.so.0
No symbol table info available.
#3  0x401e613c in e_msgport_wait () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#4  0x401e6a0a in e_thread_busy () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#5  0x403ef6de in pthread_start_thread () from /lib/libpthread.so.0
No symbol table info available.

Thread 6 (Thread 65541 (LWP 2926)):
#0  0x403f1e0d in __pthread_sigsuspend () from /lib/libpthread.so.0
No symbol table info available.
#1  0x403f169d in __pthread_wait_for_restart_signal ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x403edd74 in pthread_cond_wait@GLIBC_2.0 () from
/lib/libpthread.so.0
No symbol table info available.
#3  0x401e613c in e_msgport_wait () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#4  0x401e6a0a in e_thread_busy () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#5  0x403ef6de in pthread_start_thread () from /lib/libpthread.so.0
No symbol table info available.

Thread 5 (Thread 49156 (LWP 2925)):
#0  0x403f1e0d in __pthread_sigsuspend () from /lib/libpthread.so.0
No symbol table info available.
#1  0x403f169d in __pthread_wait_for_restart_signal ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x403edd74 in pthread_cond_wait@GLIBC_2.0 () from
/lib/libpthread.so.0
No symbol table info available.
#3  0x401e613c in e_msgport_wait () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#4  0x401e6a0a in e_thread_busy () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#5  0x403ef6de in pthread_start_thread () from /lib/libpthread.so.0
No symbol table info available.

Thread 4 (Thread 32771 (LWP 2924)):
#0  0x403f1e0d in __pthread_sigsuspend () from /lib/libpthread.so.0
No symbol table info available.
#1  0x403f169d in __pthread_wait_for_restart_signal ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x403edd74 in pthread_cond_wait@GLIBC_2.0 () from
/lib/libpthread.so.0
No symbol table info available.
#3  0x401e613c in e_msgport_wait () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#4  0x401e6a0a in e_thread_busy () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#5  0x403ef6de in pthread_start_thread () from /lib/libpthread.so.0
No symbol table info available.

Thread 3 (Thread 16386 (LWP 2923)):
#0  0x403f1e0d in __pthread_sigsuspend () from /lib/libpthread.so.0
No symbol table info available.
#1  0x403f169d in __pthread_wait_for_restart_signal ()
   from /lib/libpthread.so.0
No symbol table info available.
#2  0x403edd74 in pthread_cond_wait@GLIBC_2.0 () from
/lib/libpthread.so.0
No symbol table info available.
#3  0x401e613c in e_msgport_wait () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#4  0x401e6a0a in e_thread_busy () from
/usr/lib/evolution/1.2/libeutil.so.0
No symbol table info available.
#5  0x403ef6de in pthread_start_thread () from /lib/libpthread.so.0
No symbol table info available.

Thread 2 (Thread 32769 (LWP 2922)):
#0  0x411228f1 in poll () from /lib/libc.so.6
No symbol table info available.
#1  0x403eeb03 in __pthread_manager () from /lib/libpthread.so.0
No symbol table info available.

Thread 1 (Thread 16384 (LWP 2894)):
#0  0x403f6844 in waitpid () from /lib/libpthread.so.0
No symbol table info available.
#1  0x40bc4e1f in gnome_init () from /usr/lib/libgnomeui.so.32
No symbol table info available.
#2  0x080c2619 in message_browser_get_type ()
No symbol table info available.
#3  0x403f5559 in __pthread_sighandler () from /lib/libpthread.so.0
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  0x41bcc535 in jinit_upsampler () from /usr/lib/libjpeg.so.62
No symbol table info available.
#6  0x41bcb9ac in jpeg_idct_1x1 () from /usr/lib/libjpeg.so.62
No symbol table info available.
#7  0x41bc7bd1 in jinit_phuff_decoder () from /usr/lib/libjpeg.so.62
No symbol table info available.
#8  0x41bc1c47 in jpeg_read_scanlines () from /usr/lib/libjpeg.so.62
No symbol table info available.
#9  0x416224f6 in gdk_pixbuf__jpeg_image_load_increment ()
   from /usr/lib/gdk-pixbuf/loaders/libpixbufloader-jpeg.so
No symbol table info available.
#10 0x40cd32c7 in gdk_pixbuf_loader_write () from
/usr/lib/libgdk_pixbuf.so.2
No symbol table info available.
#11 0x0809f752 in mail_display_queue_redisplay ()
No symbol table info available.
#12 0x40f29b1f in g_timeout_add () from /usr/lib/libglib-1.2.so.0
No symbol table info available.
#13 0x40f289ae in g_get_current_time () from /usr/lib/libglib-1.2.so.0
No symbol table info available.
#14 0x40f28e89 in g_get_current_time () from /usr/lib/libglib-1.2.so.0
No symbol table info available.
#15 0x40f29124 in g_main_run () from /usr/lib/libglib-1.2.so.0
No symbol table info available.
#16 0x40e3427f in gtk_main () from /usr/lib/libgtk-1.2.so.0
No symbol table info available.
#17 0x402f4ffe in bonobo_main () from /usr/lib/libbonobo.so.2
No symbol table info available.
#18 0x080c27ea in main ()
No symbol table info available.
#19 0x4106b5cd in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#0  0x403f6844 in waitpid () from /lib/libpthread.so.0
Comment 1 Michal Ambroz 2003-04-25 09:19:34 EDT
Created attachment 91296 [details]
You can send this mail to you and download via pop3 - this will cause evolution to crash

You can send this mail to you and download via pop3 - this will cause evolution
to crash

This is a MIME encoded message with one line of text and a jpeg image attached
to it. (Jpeg when extracted from this message is viewable without problems
(eog, gthumb)
Comment 2 Jeremy Katz 2003-06-13 16:53:20 EDT
crash is in libjpeg
Comment 3 Matthias Clasen 2006-07-27 15:31:43 EDT
Red Hat 9 is no longer supported. Please file another bug against a supported
product if the problem persists.

Note You need to log in before you can comment on or make changes to this bug.